# Override some properties of Flask-Toolbar to allow access to authorized users

from flask import request
from flask_debugtoolbar import DebugToolbarExtension
from flask_login import current_user

class CustomDebugToolbar(DebugToolbarExtension):
    def _show_toolbar(self):
        """Return a boolean to indicate if we need to show the toolbar."""
        if request.blueprint == 'debugtoolbar':
            return False

        # Debug mode: visible for everyone
        if self.app.debug:
            return True

        # Developers: toolbar visible
        if current_user.is_authenticated and current_user.priv("misc.dev-infos"):
            return True

        return False